<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" 
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="formBandejaNominas" style="overflow-x: hidden">

            <h:outputText 
                value="Cálculo de la nómina: Consultar Nómina" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>

            <h:panelGrid 
                id="busquedaPGId" 
                columns="3"
                styleClass="panelNoBorder" 
                cellpadding="3"
                style="position: relative; 
                left: 15%;">

                <p:row>
                    <h:outputText value="Ejercicio Fiscal" />
                </p:row>

                <p:row />

                <p:row>
                    <h:outputText value="Quincena" />
                </p:row>

                <p:row>
                    <p:selectOneMenu 
                        id="cmbEjercicioFiscal" 
                        style="width:250px"
                        styleClass="selectOneMenu" 
                        converter="entityConverter"
                        filter="true"
                        autoWidth="false"
                        filterMatchMode="contains"
                        title="Ejercicio Fiscal"
                        value="#{bandejaNominaMB.ejercicioSelected}">

                        <f:selectItem 
                            itemLabel="Elige una opción..." />

                        <f:selectItems
                            value="#{bandejaNominaMB.lstEjercicio}"
                            var="ejercicioFiscal"
                            itemLabel="#{ejercicioFiscal.valor}"
                            itemValue="#{ejercicioFiscal}" />

                        <p:ajax event="change" 
                                update="cmbQuincena" 
                                listener="#{bandejaNominaMB.actualizarQuincenas(bandejaNominaMB.ejercicioSelected.idEjercicio)}" />
                    </p:selectOneMenu>
                </p:row>

                <p:row />

                <p:row>
                    <p:selectOneMenu 
                        id="cmbQuincena" 
                        style="width:250px"
                        styleClass="selectOneMenu" 
                        converter="entityConverter"
                        filter="true"
                        autoWidth="false"
                        filterMatchMode="contains"
                        title="Quincena"
                        value="#{bandejaNominaMB.quincenaSelected}">

                        <f:selectItem 
                            itemLabel="Elige una opción..." />

                        <f:selectItems
                            value="#{bandejaNominaMB.lstRhNomnCatQuincena}"
                            var="quincena"
                            itemLabel="#{quincena.strDescripcionQuin} "
                            itemValue="#{quincena}" />
                    </p:selectOneMenu>
                </p:row>

                <p:row>
                    <h:outputText value="Tipo de nómina" />
                </p:row>

                <p:row />

                <p:row>
                    <h:outputText value="Estatus de la nómina" />
                </p:row>       

                <p:row>
                    <p:selectOneMenu 
                        id="cmbTipoNomina" 
                        style="width:250px"
                        styleClass="selectOneMenu" 
                        converter="entityConverter"
                        filter="true"
                        autoWidth="false"
                        filterMatchMode="contains" 
                        title="Tipo de Nómina"
                        value="#{bandejaNominaMB.tipoNominaSelected}">

                        <f:selectItem  
                            itemLabel="Elige una opción..." />

                        <f:selectItems
                            value="#{bandejaNominaMB.lstRhNomnCatTipoNomina}"
                            var="tipoNomina"
                            itemLabel="#{tipoNomina.strTipoNomina}"
                            itemValue="#{tipoNomina}" />
                    </p:selectOneMenu>
                </p:row>

                <p:row />

                <p:row>
                    <p:selectOneMenu 
                        id="cmbEstatusNomina" 
                        style="width:250px"
                        styleClass="selectOneMenu" 
                        converter="entityConverter"
                        filter="true"
                        autoWidth="false"
                        filterMatchMode="contains" 
                        title="Estatus de la nómina"
                        value="#{bandejaNominaMB.estatusNominaSelected}">

                        <f:selectItem 
                            itemLabel="Elige una opción..." />

                        <f:selectItems
                            value="#{bandejaNominaMB.lstRhNomnCatEstatusNomina}"
                            var="estatusNomina"
                            itemLabel="#{estatusNomina.strDescripcion}"
                            itemValue="#{estatusNomina}" />
                    </p:selectOneMenu>
                </p:row>   

                <p:row />

                <p:row />

                <p:row />

                <p:row />

                <p:row />

                <p:row />

                <p:row />                

                <p:row>
                    <p:commandButton 
                        value="Buscar" 
                        title="Buscar"
                        style="margin-right:30px;"
                        styleClass="commandButton"
                        action="#{bandejaNominaMB.buscaNominaFiltro()}" 
                        update="tableCabeceraNomina" >
                    </p:commandButton>                                            
                </p:row>                                                             
            </h:panelGrid>  

            <p:dataTable 
                id="tableCabeceraNomina" 
                var="cabeceraNominaTable"                           
                paginator="true" 
                rows="5"
                rowsPerPageTemplate="5,10,15"
                rowKey="#{cabeceraNominaTable.intIdNomina}"
                value="#{bandejaNominaMB.lstRhNomnCabeceraNomina}"
                paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                
                currentPageReportTemplate="Mostrando registros del {startRecord} al {endRecord} de  {totalRecords} Nóminas."
                paginatorPosition="bottom" 
                scrollable="true"                 
                scrollWidth="99%"
                style="font-size: small;
                width: 1000px;"
                emptyMessage="#{msg['inai.medios.common.noRecordsText']}">

                <f:facet name="header">
                    Nóminas

                    <p:commandButton 
                        id="btnAgregarPlaza" 
                        styleClass="botonpequeno"                                     
                        title="Agregar una Nómina Nueva"
                        action="#{bandejaNominaMB.agregarNomina}"
                        icon="ui-icon-plusthick"
                        style="display:inline; 
                        float:right; 
                        font-size:x-small;" />
                </f:facet>

                <p:column 
                    headerText="Nombre Nómina" 
                    style="width: 12%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.strNombreNomina}" />
                </p:column>  

                <p:column 
                    headerText="Ejercicio Fiscal" 
                    style="width:6%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.ejercicioTO.valor}" />
                </p:column>    

                <p:column 
                    headerText="Quincena" 
                    style="width:7%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.rhNomnCatQuincenaTO.strDescripcionQuin}" />
                </p:column>                

                <p:column 
                    headerText="Tipo Nómina" 
                    style="width:11%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.rhNomnCatTipoNominaTO.strTipoNomina}" />
                </p:column>

                <p:column 
                    headerText="Estatus Nómina" 
                    style="width:7%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.rhNomnCatEstatusNominaTO.strDescripcion}" />
                </p:column> 

                <p:column 
                    headerText="Total de Registros" 
                    style="width:7%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.intCantidadRegistrosNomina}" />
                </p:column>                 

                <p:column 
                    headerText="Total de Empleados" 
                    style="width:8%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.intCantidadEmpleadosNomina}" />
                </p:column> 

                <p:column 
                    headerText="Total Percepción" 
                    style="width:10%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.dbTotalPercepciones}">
                        <f:convertNumber currencySymbol="$"
                                         locale="es_MX"
                                         type="currency" />
                    </h:outputText>
                </p:column> 

                <p:column 
                    headerText="Total Deducción" 
                    style="width:10%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.dbTotalDeducciones}">
                        <f:convertNumber 
                            locale="es_MX" 
                            type="currency" currencySymbol="$" />
                    </h:outputText>
                </p:column> 

                <p:column 
                    headerText="Importe Total" 
                    style="width:10%; 
                    font-size:small; 
                    text-align: center;" >                          

                    <h:outputText value="#{cabeceraNominaTable.dbImporteTotal}">
                        <f:convertNumber 
                            currencyCode="MXN" 
                            type="currency" currencySymbol="$" />
                    </h:outputText>
                </p:column>                 

                <p:column 
                    headerText="Acciones" 
                    style="width:12%; 
                    font-size:small;">


                    <p:commandButton 
                        id="btnAplicarAccionDetalle" 
                        styleClass="botonpequeno"                                     
                        action="#{bandejaNominaMB.abreAccion(cabeceraNominaTable, 'NominaPreparacion')}"
                        title="Consultar la Nómina"
                        value="Consultar"                                                                             
                        style="display:inline; 
                        float:left; 
                        font-size:x-small;
                        width: 100px;
                        margin-bottom: 1px; " />

                    <p:commandButton 
                        id="btnEliminarNomina" 
                        styleClass="botonpequeno"                                     
                        action="#{bandejaNominaMB.eliminarNomina(cabeceraNominaTable)}"
                        title="Eliminar Nómina"
                        value="Eliminar"                                                                             
                        style="display:inline; 
                        float:left; 
                        font-size:x-small;
                        width: 100px;"
                        rendered="#{bandejaNominaMB.validarEliminacion(cabeceraNominaTable) and p:ifGranted('PERFIL_NOMINA')}"                      
                        update="tableCabeceraNomina"
                        immediate="true"
                        process="@form"> 

                        <p:confirm 
                            header="Confirmación de la eliminación de la nómina." 
                            message="¿Está seguro de ELIMINAR la NÓMINA?" 
                            icon="ui-icon-alert"/>                        
                    </p:commandButton>

                    <p:confirmDialog 
                        global="true" 
                        showEffect="fade" 
                        hideEffect="fade">
                        <p:commandButton 
                            value="Si" 
                            type="button" 
                            styleClass="ui-confirmdialog-yes" 
                            icon="ui-icon-check"/>
                        <p:commandButton 
                            value="No" 
                            type="button" 
                            styleClass="ui-confirmdialog-no" 
                            icon="ui-icon-close"/>
                    </p:confirmDialog>      

                    <p:commandButton 
                        id="btnHistNomina" 
                        styleClass="botonpequeno"                                     
                        action="#{bandejaNominaMB.consultaMovimientosNomina(cabeceraNominaTable)}"
                        title="Historico Nómina"
                        value="Historico Nómina"                                                                             
                        style="display:inline; 
                        float:left; 
                        font-size:x-small;
                        width: 100px;"                        
                        
                        update="@(.pnlHistMovNom)"
                        immediate="true"
                        process="@form"/> 

                </p:column>                                
            </p:dataTable> 

            <div align="right">
                <p:commandButton 
                    id="btnAgregarMensajeContext"                     
                    value="Quitar context" 
                    title="Quitar context" 
                    style="font-size: 70%;                                        
                    text-align:center;
                    display: none"
                    onclick="nada()"
                    actionListener="#{bandejaNominaMB.agregarMensajeContext()}" />       
            </div>
            </h:form>  
            <p:dialog 
                class="histMovNom"
                widgetVar="histMovNom"
                resizable="false"  
                modal="true" 
                draggable="false"                 
                header="Bitácora de Nómina." 
                appendTo="@(body)"
                closable="false"
                position="center"
                width="85%"
                > 
                <h:panelGroup id="pnlHistMovNom" class="pnlHistMovNom" >
                    <h:form id ="movNom">
                <h:panelGrid columnClasses="centered5" columns="1" cellpadding="10"
                             style=" text-align:left;width: 100% ">
                <p:dataTable id="tblMovNomina" 
                             class="tblMovNomina"
                             var="movimientosNomina"                                                       
                             paginator="true"                                                  
                             value="#{bandejaNominaMB.lstMovsNominaTO}"
                             rows="5"
                             rowKey="#{movimientosNomina.idHistoricoMovimiento}"
                             paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                             scrollable="true" 
                             scrollWidth="99%"
                             rowsPerPageTemplate="5,10"
                             paginatorPosition="bottom" 
                             emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                             style="font-size:small;">

                    <p:column 
                        headerText="Movimiento"
                        style="width:25%;
                        font-size:small;">

                        <h:outputText value="#{movimientosNomina.descipcionAccion}" />
                    </p:column>

                    <p:column 
                        headerText="Fecha y Hora"
                        style="width:35%;
                        font-size:small;">

                        <h:outputText value="#{movimientosNomina.fechaMovimiento}" />
                    </p:column>

                    <p:column 
                        headerText="Usuario"
                        style="width:25%;
                        font-size:small;">                                            

                        <h:outputText value="#{movimientosNomina.nombreUsuario}">
                            
                        </h:outputText>
                    </p:column>

                  
                </p:dataTable>                                    
            </h:panelGrid>
                <div align="right">
                <p:commandButton  
                    id="btnCerrar"  
                    value="Cerrar"                                          
                    onclick="PF('histMovNom').hide();"
                    update="@(form)"                                        
                    style="display:inline;                                                 
                    font-size:small;"/>                                                                              
                </div>
                    </h:form>
                </h:panelGroup>
            </p:dialog>        


      

        <script>
            window.onload = function () {
                darClic();
            };

            function darClic() {
                jQuery('[id*=btnAgregarMensajeContext]').trigger('click');
            }
            ;

            function nada() {
                console.log("nada");
            }
            ;
        </script>
    </ui:define>                    
</ui:composition>
